# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class StarfishMetrics(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    allowed enum values
    """
    TRAFFIC_COUNTERS = "traffic_counters"
    TRAFFIC_FORMATS = "traffic_formats"
    KPIS = "kpis"
    def __init__(self):  # noqa: E501
        """StarfishMetrics - a model defined in Swagger

        """
        self.swagger_types = {
        }

        self.attribute_map = {
        }

    @classmethod
    def from_dict(cls, dikt) -> 'StarfishMetrics':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The starfish-metrics of this StarfishMetrics.  # noqa: E501
        :rtype: StarfishMetrics
        """
        return util.deserialize_model(dikt, cls)
